Package com.tietoenator.trip.jxp.control

# Class TdbOwnedDatabaseList

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.TdbMessageProvidingList<TdbControlObject>
com.tietoenator.trip.jxp.control.TdbControlObjectList
com.tietoenator.trip.jxp.control.TdbOwnedDatabaseList

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`, `Iterable<TdbControlObject>`, `Collection<TdbControlObject>`, `List<TdbControlObject>`

public class TdbOwnedDatabaseList extends TdbControlObjectList
Container class for databases owned by the calling process

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbOwnedDatabaseList(TdbSession session)`
  Requests a list of databases owned by the calling process
  `TdbOwnedDatabaseList(TdbSession session, String type)`
  Requests a list of databases of a certain type owned by the calling process

- ## Method Summary

  ### Methods inherited from class com.tietoenator.trip.jxp.control.TdbControlObjectList

  `contains, contains, get, refresh, transform`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvidingList

  `add, add, addAll, addAll, clear, contains, containsAll, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `equals, hashCode, replaceAll, sort, spliterator`

- ## Constructor Details

  - ### TdbOwnedDatabaseList

    public TdbOwnedDatabaseList(TdbSession session) throws TdbException
    Requests a list of databases owned by the calling process
    Parameters:
      `session` - Bounding session
    Throws:
      `TdbException`

  - ### TdbOwnedDatabaseList

    public TdbOwnedDatabaseList(TdbSession session, String type) throws TdbException
    Requests a list of databases of a certain type owned by the calling process
    Parameters:
      `session` - Bounding session
      `type` - Database type
    Throws:
      `TdbException`